/***************************************************************************/
/*  File       : packetRadio.c                                              */
/*-------------------------------------------------------------------------*/
/*  Object     : Insert Contents Here   		               			   */
/*                                                                         */
/*  contents   : Insert Contents Here   		               			   */
/*                                                                         */
/*  Change     :                                                           */
/***************************************************************************/
/*
 * --------------+-----------------------------------------------------------
 *  Date     	 | Author | Revision       | Description
 * --------------+--------+----------------+---------------------------------
 *  15 Mar 2011  | TR     | 1.0            | * New File Created
 * --------------+--------+----------------+---------------------------------
 */
#include "adl_global.h"
#include "generated.h"
/***************************************************************************/
/*  Global variables                                                       */
/***************************************************************************/

/***************************************************************************/
/*  Local variables                                                        */
/***************************************************************************/

/***************************************************************************/
/*  Local functions                                                        */
/***************************************************************************/
void packetRadioMsgHandler ( u32 MsgIdentifier, adl_ctxID_e Source, u32 Length, void * Data );
void packetRadioTimer(u8 ID, void * Context);
/***************************************************************************/
/*  Function   : Function Name                                             */
/*-------------------------------------------------------------------------*/
/*  Object     : Comment									               */
/*                                                                         */
/*-------------------------------------------------------------------------*/
/*  Variable Name     |IN |OUT|GLB|  Utilisation                           */
/*--------------------+---+---+---+----------------------------------------*/
/*  			      |   |   |   |  NONE								   */
/*--------------------+---+---+---+----------------------------------------*/
/***************************************************************************/
void packetRadioMain_task ( void )
{
    const adl_msgFilter_t packetRadioFilter =
    {
        0xFFFF0000,
        0x00020000,
        ADL_MSG_ID_COMP_EQUAL,
        ADL_CTX_ALL
    };

    adl_msgSubscribe ( ( adl_msgFilter_t * ) &packetRadioFilter, packetRadioMsgHandler );      // Subscribe to Main Messages

    adl_tmrSubscribe(TRUE, 50, ADL_TMR_TYPE_100MS, packetRadioTimer);
}

void packetRadioMsgHandler ( u32 MsgIdentifier, adl_ctxID_e Source, u32 Length, void * Data )
{
	TRACE((1, "Message Received - Packet Radio Task"));
}

void packetRadioTimer(u8 ID, void * Context)
{
	adl_msgSend(TASK_ID_PacketHandler, 0x00010000 | 0x00000001, 0, NULL);
}

/* E O F *******************************************************************/
